Skip to main content
GET
Checkpoints on a branch, with commit, diffstat, and sessions

Authorizations

Authorization
string
header
required

OAuth 2.0 authorization code flow.

Path Parameters

repo_id
string
required

Query Parameters

branch
string

Branch to filter to; empty = the repo's default branch

excludeBranch
string

Optional branch whose reachable commits are excluded: lists only checkpoints on commits reachable from branch but not from this one (git branch ^excludeBranch)

limit
integer<int64>
default:100

Page size, clamped to 1..1000

since
string

RFC 3339 lower bound on the checkpoint's anchoring commit date, inclusive (optional; unbounded by default)

until
string

RFC 3339 upper bound on the checkpoint's anchoring commit date, exclusive (optional; unbounded by default)

Response

OK

app_has_access
boolean
required
checkpoints
object[] | null
required
history_complete
boolean
required
history_status
string
required
repo_full_name
string
required
session_branch_exists
boolean
required
source
string
required
updated_at
string
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"/api/v1/schemas/RepoCheckpointsOutputBody.json"